<?php 
$http_host = str_replace("www.", "", $_SERVER['HTTP_HOST']); 
if($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['domain'])){
    header('Location: /www/'.$_POST['domain'].'.html');
    exit();
}
$www_domain = $_GET['domain'];
$api_url = 'https://syndicationapp.com/embed/data_api.php?domain='.$www_domain.'&api=free';
$json_data = file_get_contents($api_url);
$data = json_decode($json_data, true);
$lastMonthName = $data['month'];
$lastMonthYear = $data['year'];
$discovered_domains = $data['discovered_domains'];
$discovered_links = $data['discovered_links'];
$title = ucfirst($_GET['domain']).' Website Linking Analysis for '.htmlspecialchars($lastMonthName).' '.$lastMonthYear;
$meta_description = "In ".$lastMonthName." ".$lastMonthYear.", discovered total ".$discovered_links." backlinks from ".$discovered_domains." referring domains.";
// add your referral ID
$referral_id = "";
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="robots" content="noindex">
    <meta name="robots" content="nofollow">
    <title><?php echo $title; ?></title>
    <meta name="twitter:title" content="<?php echo $title; ?>"/>
    <meta property="og:title" content="<?php echo $title; ?>"/>
	<meta name="description" content="<?php echo $meta_description; ?>">
    <meta prefix="og: http://ogp.me/ns#" property="og:description" content="<?php echo $meta_description; ?>">
    <meta name="last-modified" content="<?php echo date('Y-m');?>-01">
   <?php include 'template/ehead.php'; ?>
    <!-- Canonical -->
    <link rel="canonical" href="https://<?php echo $http_host;?>/www/<?php echo $www_domain;?>.html">
    <link rel="alternate" hreflang="x-default" href="https://<?php echo $http_host;?>/www/<?php echo $www_domain;?>.html">
    <link rel="alternate" hreflang="en" href="https://<?php echo $http_host;?>/www/<?php echo $www_domain;?>.html">
    <meta prefix="og: http://ogp.me/ns#" property="og:url" content="https://<?php echo $http_host;?>/www/<?php echo $www_domain;?>.html" />
</head>
<body>
<?php include 'template/header.php'; ?>
      <form action="" method="POST">
        <div class="search_box">
        <input class="search_field" name="domain" type="text"  id="input" value="<?php echo $_GET['domain']; ?>" placeholder="<?php echo $http_host;?>" required/>
        <button class="searc_icon_btn" type="submit">Analyze</button>
        </div>      
      </form>
 <main>
  <div class="container">
   <a href="https://<?php echo $http_host; ?>">Home</a> >  <a href="https://<?php echo $http_host; ?>/www/<?php echo $www_domain; ?>.html">
    <?php echo ucfirst($www_domain); ?></a><br />
    <div class="card">
	 <h1><?php echo $title; ?></h1>
	 <img alt="" id="targetImage" loading="lazy" width="100%" height="600" src="https://api.pagepeeker.com/v2/thumbs.php?size=x&code=e29fa6bbd0&url=<?php echo $www_domain; ?>" />
     <div class="two-columns">
        <div class="column">
        <h3>Discovered Domains</h3> <h2><?php echo htmlspecialchars($discovered_domains); ?></h3>
        </div>
        <div class="column">
        <h3>Discovered Links</h3>  <h2><?php echo htmlspecialchars($discovered_links); ?></h3>
        </div>
      </div> 
	   <p align="justify">
	 <b>*<?php echo $meta_description; ?></b> 
	   
	   
	   
	   *<?php echo $www_domain; ?>'s discovered data are based on estimations from certain tests performed, and actual data may differ from these estimates.
	   
	   </p><br />
   </div>
 <br />
 <div class="feature-card">
 <center><h2>Analysis Overview Data Chart</h2>
 <p>( Last 6 Months Data )</p></center>
 <br />
<iframe width="100%" height="500" src="https://syndicationapp.com/embed/data_chart.php?domain=<?php echo $www_domain; ?>&chart=overview&referral_id=<?php echo $referral_id; ?>" title="Website linking analysis overview data chart" frameborder="0"></iframe>
  </div>
 <br />
 <center><h2>Historic Data Chart</h2>
 <p>These charts show the number of referring domains and links discovered every month.</p></center>
 <br />
 <div class="two-columns">
    <div class="column">
  <div class="feature-card">
   <center><h2>Referring Domains</h2>
   <p>Discovered total: <?php echo $discovered_domains; ?></p></center><br />
    <iframe width="100%" height="250" src="https://syndicationapp.com/embed/data_chart.php?domain=<?php echo $www_domain; ?>&chart=discovered_domains&referral_id=<?php echo $referral_id; ?>" title="Referring domains analysis overview data chart" frameborder="0"></iframe>
    </div>
    </div>
   <div class="column">
   <div class="feature-card">
    <center><h2>Referring URLs</h2>
      <p>Discovered total: <?php echo $discovered_links; ?></p></center><br />
        <iframe width="100%" height="250" src="https://syndicationapp.com/embed/data_chart.php?domain=<?php echo $www_domain; ?>&chart=discovered_backlinks&referral_id=<?php echo $referral_id; ?>" title="Referring URLs analysis overview data chart" frameborder="0"></iframe>
    </div>
  </div>
</div>


<br />

<center><h2>Latest Analyzed Domains</h2></center>
  
    <center>
   
   <?php
// RSS feed URL
$rss_url = 'https://syndicationapp.com/domain_rss.xml';

// Load RSS feed
$rss_feed = simplexml_load_file($rss_url);

if ($rss_feed === false) {
    echo "Failed to load RSS feed.";
    exit;
}

// Display feed title and items
echo "<div class='row'>";
foreach ($rss_feed->channel->item as $item) {
   echo '
         <div class="fixed-feature-card">
         <br />
            <div class="imageContainer">
                <img alt="" id="targetImage" loading="lazy" width="100" height="100" 
				src="https://www.google.com/s2/favicons?domain=' . $item->domain . '" />
            </div> 
            <a class="tags" href="http://' . $http_host . '/www/' . $item->domain . '.html">' . $item->domain . '</a><br />
			<p>' . $item->description . '</p>
			<br />
        </div>';
 
	      
}
echo "</div>";
?>


 
    </center>
    
 </div>
</main>
<?php include 'template/footer.php'; ?>
</body>
</html>